> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modo.link/llms.txt
> Use this file to discover all available pages before exploring further.

# Get event details

> Retrieve detailed information about a specific event



## OpenAPI

````yaml /api/modo-canton.json get /v1/events/{eventId}
openapi: 3.0.1
info:
  title: Canton mainnet API
  description: >-
    This is the new API Module implementation. The Canton Blockchain API is used
    to retrieve Canton Blockchain data. In order to execute queries you need to
    get API Key and use it in header 'x-api-key'. However, before that you need
    to sign up on the explorer or company website. If an account is created on
    the website <strong>https://staketab.com/</strong> or
    <strong>https://cc.modo.link/</strong>, the user will be granted the
    <strong>ROLE_USER</strong> role. After that you may fetch API KEY.
  termsOfService: terms-of-service
  contact:
    name: Staketab tech support
    url: https://staketab.com/
    email: support@staketab.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 1.0.0
servers:
  - url: https://api.modo.link/canton-mainnet
    description: Production
security:
  - x-api-key: []
tags:
  - name: Contracts
    description: Contract endpoints
  - name: Tokens
    description: Token endpoints
  - name: Market Info
    description: Market info endpoints
  - name: Updates
    description: Update endpoints
  - name: Validators
    description: Validator management endpoints
  - name: Transfers
    description: Transfer endpoints
  - name: Dashboard
    description: Dashboard endpoints
  - name: Events
    description: Event endpoints
  - name: Governance
    description: Governance endpoints
  - name: Super Validators
    description: Super Validator management endpoints
  - name: Featured Apps
    description: Featured Apps endpoints
  - name: Parties
    description: Party management endpoints
  - name: Rewards
    description: Rewards endpoints
paths:
  /v1/events/{eventId}:
    get:
      tags:
        - Events
      summary: Get event details
      description: Retrieve detailed information about a specific event
      operationId: getEventDetails
      parameters:
        - name: eventId
          in: path
          description: Event ID
          required: true
          schema:
            type: string
          example: >-
            12201877b7cf58905e87cd0e811ae74482128a02a57637e65a1af2db81e769bbe9dc:2
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/EventDetailsDtoAPI'
components:
  schemas:
    EventDetailsDtoAPI:
      type: object
      properties:
        eventId:
          type: string
        transactionId:
          type: string
        eventType:
          type: string
        contractId:
          type: string
        templateId:
          type: string
        packageName:
          type: string
        templateName:
          type: string
        templateHash:
          type: string
        eventData:
          type: string
        createArguments:
          type: string
        createdAt:
          type: integer
          format: int64
        signatories:
          type: string
        observers:
          type: string
        choice:
          type: string
        choiceArgument:
          type: string
        childEventIds:
          type: string
        exerciseResult:
          type: string
        consuming:
          type: boolean
        actingParties:
          type: string
        interfaceId:
          type: string
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header

````